- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# MidiProgramCategory Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | thisCategoryIndex
| 0 or greater: fill struct for this category index.
char | name [kVstMaxNameLen]
| name
VstInt32 | parentCategoryIndex
| -1:no parent category
VstInt32 | flags
| reserved, none defined yet, zero.

## Detailed Description

MIDI Program Category.

## Member Data Documentation

VstInt32 MidiProgramCategory::flags

reserved, none defined yet, zero.

char MidiProgramCategory::name[kVstMaxNameLen]

name

VstInt32 MidiProgramCategory::parentCategoryIndex

-1:no parent category

VstInt32 MidiProgramCategory::thisCategoryIndex

0 or greater: fill struct for this category index.

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.